# Interface QuorumStats.Provider

All Known Implementing Classes:
  `QuorumPeer`

Enclosing class:
  `QuorumStats`

public static interface QuorumStats.Provider

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FOLLOWING_STATE`
`static final String`
`LEADING_STATE`
`static final String`
`LOOKING_STATE`
`static final String`
`OBSERVING_STATE`
`static final String`
`UNKNOWN_STATE`

## Method Summary

Modifier and Type
Method
Description
`String[]`
`getQuorumPeers()`
`String`
`getServerState()`

## Field Details

### UNKNOWN_STATE

static final String UNKNOWN_STATE

See Also:
  - Constant Field Values

### LOOKING_STATE

static final String LOOKING_STATE

See Also:
  - Constant Field Values

### LEADING_STATE

static final String LEADING_STATE

See Also:
  - Constant Field Values

### FOLLOWING_STATE

static final String FOLLOWING_STATE

See Also:
  - Constant Field Values

### OBSERVING_STATE

static final String OBSERVING_STATE

See Also:
  - Constant Field Values

## Method Details

### getQuorumPeers

String[] getQuorumPeers()

### getServerState

String getServerState()